
Foreman - Feature #3792

Support making Images from Hostgroups

12/03/2013 02:47 PM - Greg Sutcliffe

Status: Resolved   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Host creation   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently there's a lot of wasted cycles when you spin up, say, a webserver hostgroup from a clean minimal image, as the packages

(such as Apache) take time to install. We should support running a one-time Host, executing a puppet run on it, executing a cleanup

script, and then pushing a copy of that Host's disk back to the CR as a new image.

History

#1 - 12/03/2013 02:51 PM - Dominic Cleal

- Status changed from New to Assigned

- Target version set to 1.10.0

#2 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#3 - 01/09/2014 02:20 PM - Anonymous

- Target version deleted (1.9.3)

#4 - 02/06/2014 12:33 PM - Dominic Cleal

- Target version set to 1.9.1

#5 - 03/03/2014 01:12 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#6 - 03/03/2014 01:26 PM - Greg Sutcliffe

- % Done changed from 0 to 30

Currently, this was stalled for Sprint 20 due to other issues taking priority. It should still work for Openstack, but I need to retest against the latest

versions of Dynflow and Foreman-tasks, and then extend for other Compute Resources

#7 - 03/25/2014 02:54 PM - Greg Sutcliffe

- % Done changed from 30 to 50

Openstack and Libvirt now supported. Dynflow/ForemanTasks is optional. Still need to do oVirt, EC2, and ideally VMware, and add error handling and

tests.

#12 - 03/25/2014 04:06 PM - Greg Sutcliffe

- Status changed from Assigned to Resolved

Added subproject for the plugin and broke this into multiple tickets. Closing this one as "Complete" since the plugin exists and works for 2 CRs
